ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Have to upgrade Java on TIM

book

Article ID: 237070

calendar_today

Updated On:

Products

CA Application Performance Management (APM / Wily / Introscope)

Issue/Introduction

Also, I need to upgrade java on all of my TIMs also. The following is also showing on our internal security scan report for all of the TIMs

Plugin Output:
  Path              : /apps/CA/APM/tim/
  Installed version : 1.8.0_292
  Fixed version     : Upgrade to a version greater than 8u292

 

Environment

Release : 10.7.0

Component :

Resolution

Revision of https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/application-performance-management/10-7/installing/apm-installation/install-and-configure-tim-for-ca-cem.html

Run the installer using root user privileges.
Example: Use the following command to install the package that comes with the OS distribution:
yum -y install 
Example: Use the install open_jdk command as follows:
yum -y install java-1.8.0-openjdk 
yum -y install java-1.8.0-openjdk-devel